Subject: bug#79021: 31.0.50; Unnecessary GC in after-load-functions

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Sep 2025 15:48:05 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Daniel Colascione <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Fri, 12 Sep 2025 08:35:36 -0400
> 
> >> >In any case, the fboundp test is not enough, we should test the value
> >> >of dump-mode instead, I think.  Because Emacs might be built with
> >> >pdumper support, but this session is not going to call
> >> >dump-emacs-portable, due to command-line options or some other trick.
> >> Just delete it.
> > It's still useful if starting undumped Emacs, no?
> 
> Not really: its use was beneficial to try and keep the unexec'd `emacs`
> compact, but it came at the cost of a slowdown.  The tradeoff was
> positive then because we cared more about the size of the `emacs` binary
> then about the slight increase to the build time.
> 
> But when starting Emacs un-dumped the benefit is mostly lost because in
> that case we care more about minimizing the startup time than about
> minimizing the size of the heap.

But in that case, why do we need the fbound test at all?  The unexec
option is gone, so what other Emacs configuration will that test cater
to?